Summary:	MySQL user preferences editor for SpamAssassin 3.x
Name:		sa-mysql2
Version:	3.0
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://wiki.apache.org/spamassassin/WebUserInterfaces
Source0:	http://mail.limelyte.net/downloads/standalone%{version}.tar.bz2
Source1:	config.php.bz2
Source2:	index.html.bz2
Patch0:		webspam.php.diff.bz2
Requires:	spamassassin >= 3.0.0
Requires:	apache-mod_php
Requires:	php-mysql
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
sa-mysql2 is a (standalone) web-based editing tool for user
preferences in MySQL and SpamAssassin 3.x.
 
%prep

%setup -q -c -n standalone%{version}
%patch0 -p0

bzcat %{SOURCE1} > config.php
bzcat %{SOURCE2} > index.html

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/html/sa-mysql2
install -m0644 webspam.php %{buildroot}/var/www/html/sa-mysql2/
install -m0644 config.php %{buildroot}/var/www/html/sa-mysql2/
install -m0644 index.html %{buildroot}/var/www/html/sa-mysql2/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) /var/www/html/sa-mysql2/config.php
/var/www/html/sa-mysql2

%changelog
* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0-2mdk
- rebuild

* Thu Dec 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0-1mdk
- initial mandrake package
- added P0, S1 and S2
